> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/interfaces/struct.addliquidityappliedaction.md).

# AddLiquidityAppliedAction

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/settler/interfaces/ITurbineSettler.sol)

\------------------------- STRUCTS ------------------------- ///

Liquidity action representing provision of liquidity already applied to pool states, with all necessary arguments.

```solidity
struct AddLiquidityAppliedAction {
address owner;
bytes32 hash;
uint256 token0Amount;
uint256 token1Amount;
uint256 lpTokenAmount;
address token0;
address token1;
uint24 fee;
BatchSignatureTransferParams signatureTransferParams;
}
```

**Properties**

| Name                      | Type                           | Description                                                                    |
| ------------------------- | ------------------------------ | ------------------------------------------------------------------------------ |
| `owner`                   | `address`                      | The account providing the liquidity                                            |
| `hash`                    | `bytes32`                      | The hash of the liquidity action                                               |
| `token0Amount`            | `uint256`                      | The amount of token0 provided                                                  |
| `token1Amount`            | `uint256`                      | The amount of token1 provided                                                  |
| `lpTokenAmount`           | `uint256`                      | The amount of LP tokens to mint                                                |
| `token0`                  | `address`                      | The address of token0 of the Turbine pool                                      |
| `token1`                  | `address`                      | The address of token1 of the Turbine pool                                      |
| `fee`                     | `uint24`                       | The fee of the Turbine pool                                                    |
| `signatureTransferParams` | `BatchSignatureTransferParams` | The Permit2 batch SignatureTransfer permit and signature for token0 and token1 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/interfaces/struct.addliquidityappliedaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
